Summary: Power management fallback policy
Name: pm-fallback-policy
Version: 0.1
Release: %mkrel 15
Source0: power-event
Source1: sleep-event
Source2: adapter-event
Source3: pm-fallback-shutdown
Source4: pm-fallback-suspend
# Activates powersave options when laptops are on battery
Source5: pm-fallback-adapter2
# Protects the harddrive of Toshiba HAPS managed laptops
Source6: hdaps_load
Source7: hdaps_unload

License: GPL
Group: System/Kernel and hardware
Url: https://wiki.mageia.org/en/Power_saving
BuildArch: noarch
Conflicts: suspend-scripts < 1.27
Requires(post): acpid
Requires: pm-utils

%description
This package provides a set of scripts to implement a power management
fallback policy. They will be used as fallback when no power
management tool is running.

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{_sysconfdir}/acpi/events
install %{SOURCE0} %{buildroot}%{_sysconfdir}/acpi/events/power
install %{SOURCE1} %{buildroot}%{_sysconfdir}/acpi/events/sleep
install %{SOURCE2} %{buildroot}%{_sysconfdir}/acpi/events/adapter
install -d %{buildroot}%{_sysconfdir}/acpi/actions
install -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/acpi/actions/pm-fallback-shutdown
install -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/acpi/actions/pm-fallback-suspend
install -m 755 %{SOURCE5} %{buildroot}%{_sysconfdir}/acpi/actions/pm-fallback-adapter

# Protects the harddrive of Toshiba HAPS managed laptops
install %{SOURCE6} %{buildroot}%{_sysconfdir}/acpi/events/hdaps_load
install %{SOURCE7} %{buildroot}%{_sysconfdir}/acpi/events/hdaps_unload

%post
if [ -z "$DURING_INSTALL" ]; then 
	systemctl condrestart acpid
fi

%files
%{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/acpi/events/*






%changelog
* Mon Jan 11 2016 neoclust <neoclust> 0.1-15.mga6
+ Revision: 921706
- Fix %%post in the installer

* Sun Jan 10 2016 neoclust <neoclust> 0.1-14.mga6
+ Revision: 921404
- Try to fix %%post script

* Fri Feb 20 2015 zezinho <zezinho> 0.1-14.mga5
+ Revision: 816101
- clean up powersave

* Sat Jan 31 2015 zezinho <zezinho> 0.1-13.mga5
+ Revision: 812789
- add laptop-mode fallback
- add harddrive protection for toshiba_haps

* Wed Oct 15 2014 umeabot <umeabot> 0.1-12.mga5
+ Revision: 750526
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-11.mga5
+ Revision: 687684
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-10.mga4
+ Revision: 517582
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1-9.mga3
+ Revision: 377934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 blino <blino> 0.1-8.mga1
+ Revision: 25732
- imported package pm-fallback-policy


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-8mdv2011.0
+ Revision: 607183
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2010.1
+ Revision: 523689
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1-6mdv2010.0
+ Revision: 426731
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.1-5mdv2009.1
+ Revision: 351650
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2009.0
+ Revision: 225018
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.1-3mdv2008.1
+ Revision: 125460
- kill re-definition of %%buildroot on Pixel's request


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.1-3mdv2007.1
+ Revision: 148264
- conflicts will old suspend-scripts

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.1-3mdv2007.1
+ Revision: 148237
- do not conflict with suspend-scripts to ease upgrade, pm-utils will take care of the proper package ordering

* Tue Feb 27 2007 Olivier Blin <oblin@mandriva.com> 0.1-2mdv
+ Revision: 126220
- check for acpid service presence before trying to restart it

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.1
+ Revision: 107584
- initial pm-fallback-policy release
- Create pm-fallback-policy

